﻿using UnityEngine;
using System.Collections;

public class Beam : MonoBehaviour {

	private BoxCollider2D beamColl;
	public bool activated = true;
	public GameObject lightObj;

	private float beamSpeed = 3f;
	
	// Use this for initialization
	void Start () {
		beamColl = GetComponent<BoxCollider2D> ();
		if (!activated) {
			beamColl.enabled = false;
			lightObj.GetComponent<Light> ().enabled = false;
		}
	}

	private void OnTriggerStay2D (Collider2D other) {
		if (other.gameObject.name == "MainCharacter")
		{
			Vector2 newSpeed = other.gameObject.GetComponent<Rigidbody2D>().velocity;
			newSpeed = new Vector2(newSpeed.x, beamSpeed);
			other.gameObject.GetComponent<Rigidbody2D>().velocity=newSpeed;
		}
	}
	

	public void TurnOn () {
		activated = true;
		beamColl.enabled = true;
		lightObj.GetComponent<Light> ().enabled = true;
	}
	
	public void TurnOff () {
		activated = false;
		beamColl.enabled = false;
		lightObj.GetComponent<Light> ().enabled = false;
	}
}
