﻿using UnityEngine;
using System.Collections;

public class CameraMotion : MonoBehaviour {

	public Vector3[] views;

	private Vector3 baseCoord;
	private Vector3 targetCoord;

	private float timeStart = 0;
	public float timeDuration = 4;

	private int currentView = 0;



	// Use this for initialization
	void Awake () {
		transform.position = views [0];
	}

	public void SetView (int viewNum){
		if (viewNum > currentView) {
			currentView = viewNum;
			timeStart = Time.time + 0.001f;
			targetCoord = views [viewNum];
			baseCoord = transform.position;
		}
	}

	// Update is called once per frame
	void Update () {
	if (timeStart > 0)
		{
			transform.position = Vector3.Lerp(baseCoord, targetCoord, (Time.time - timeStart) / timeDuration);
			if (Time.time > (timeStart + timeDuration))
			    timeStart = 0;
		}
	}
}
