﻿using UnityEngine;
using System.Collections;

public class Door : MonoBehaviour {

	private float axisZclosed;
	public float axisZopened = 5f;
	private float axisZcurrent;
	public float timeOpening = 1.5f;
	private float timeStart = 0;
	private bool state = false;

	private BoxCollider2D coll;

	// Use this for initialization
	void Start () {
		axisZclosed = transform.position.z;
		coll = GetComponent<BoxCollider2D> ();
	}

	public void Open () {
		if (!state) {
			timeStart = Time.time;
			coll.enabled = false;
		}
	}

	public void Close () {
		if (state) {
			timeStart = Time.time;
			coll.enabled = true;
		}
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if (timeStart > 0)
		{
			if (state)
				axisZcurrent = Mathf.Lerp(axisZopened, axisZclosed, (Time.time - timeStart) / timeOpening);
			else
				axisZcurrent = Mathf.Lerp(axisZclosed, axisZopened, (Time.time - timeStart) / timeOpening);

			transform.position = new Vector3 (transform.position.x, transform.position.y, axisZcurrent);

			if (Time.time > (timeStart + timeOpening))
			{
				timeStart = 0;
				state = !state;
			}
		}
	}
}
