﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class MainCharacterController : MonoBehaviour {

	private float maxSpeed = 4f;
	private float speed = 0f;

	private Rigidbody2D body;
	private string currentTriggerName = "";

	void Start () {
		body = GetComponent<Rigidbody2D> ();
	}

	void Awake () {
		GameObject.Find ("EmergencyLight").GetComponent<PulsingLight>().pulsing = true;
	}


	void OnTriggerEnter2D(Collider2D other) {
		currentTriggerName = other.gameObject.name;
	}

	void OnTriggerExit2D(Collider2D other) {
		currentTriggerName = "";
	}

	// Update is called once per frame
	void Update () {
		speed = maxSpeed * Input.GetAxis ("Horizontal");

		if (transform.position.y > 30)
			speed = 0;

	}

	void FixedUpdate () {
		body.velocity = new Vector2 (speed, body.velocity.y);
	}
}
