﻿using UnityEngine;
using System.Collections;

public class PulsingLight : MonoBehaviour {

	private Light flash;
	private float baseIntensity;
	public bool pulsing = true;
	public float amplitude = 0.5f;
	public float speed = 1f;
	public float shift = 0f;

	// Use this for initialization
	void Start () {
		flash = GetComponent<Light> ();
		baseIntensity = flash.intensity;
	}
	
	void FixedUpdate () {
		if (pulsing)
			flash.intensity = Mathf.Clamp(baseIntensity + amplitude * Mathf.Sin (speed * Time.time + shift), 0, 8);
	}
}
