﻿using UnityEngine;
using System.Collections;

public class Terminal : MonoBehaviour {

	public bool currentState = false;
	public GameObject[] openDoor;
	public GameObject[] closeDoor;
	public GameObject[] lightOn;
	public GameObject[] beamOn;
	public GameObject[] beamOff;
	public int setView = 0;

	private string currentTriggerName = "";
	private float timeStart = 0;
	private float timeDuration = 2;

	// Use this for initialization
	void Start () {
	
	}

	void Activate () {
		currentState = true;

		if (setView != 0)
			GameObject.Find ("MainCamera").GetComponent<CameraMotion>().SetView(setView);

		foreach (GameObject door in openDoor)
			door.GetComponent<Door> ().Open ();

		foreach (GameObject door in closeDoor)
			door.GetComponent<Door> ().Close ();

		foreach (GameObject lamp in lightOn)
			lamp.GetComponent<Lamp> ().TurnOn ();

		foreach (GameObject beam in beamOn)
			beam.GetComponent<Beam> ().TurnOn ();

		foreach (GameObject beam in beamOff)
			beam.GetComponent<Beam> ().TurnOff ();
	}

	void Deactivate () {
		currentState = false;

		foreach (GameObject door in openDoor)
			door.GetComponent<Door> ().Close ();
		
		foreach (GameObject door in closeDoor)
			door.GetComponent<Door> ().Open ();
		
		foreach (GameObject beam in beamOn)
			beam.GetComponent<Beam> ().TurnOff ();
		
		foreach (GameObject beam in beamOff)
			beam.GetComponent<Beam> ().TurnOn ();
	}

	void OnTriggerEnter2D(Collider2D other) {
		currentTriggerName = other.gameObject.name;
		if (currentTriggerName == "MainCharacter") {
			timeStart = Time.time;
			GameObject.Find ("Canvas").GetComponent<UIController>().StartProgess();
		}
	}

	void OnTriggerExit2D(Collider2D other) {
		timeStart = 0;
		GameObject.Find ("Canvas").GetComponent<UIController>().StopProgress();
	}


	// Update is called once per frame
	void Update () {
		if (timeStart > 0)
			if (Time.time > (timeStart + timeDuration)) 
			{
				timeStart = 0;
				Activate();
			}
	}
}
